Bug 1130161 - collectd-nut dependency error
Summary: collectd-nut dependency error
Keywords:
Status: CLOSED DUPLICATE of bug 1123593
Alias: None
Product: Fedora
Classification: Fedora
Component: collectd
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ruben Kerkhof
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 13:07 UTC by Szombathelyi György
Modified: 2014-08-14 13:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-14 13:12:58 UTC


Attachments (Terms of Use)

Description Szombathelyi György 2014-08-14 13:07:37 UTC
Description of problem:

collectd-nut-5.4.1-2.fc20 depends on libupsclient.so.1, but the current nut-client package ships libupsclient.so.2

Version-Release number of selected component (if applicable):
collectd-nut-5.4.1-2.fc20
nut-client-2.7.2-1.fc20

How reproducible:
always

Steps to Reproduce:
1. yum update
2.
3.

Actual results:
Error: Package: collectd-nut-5.4.1-2.fc20.x86_64 (updates)
           Requires: libupsclient.so.1()(64bit)
           Removing: nut-client-2.6.5-15.fc20.x86_64 (@fedora)
               libupsclient.so.1()(64bit)
           Updated By: nut-client-2.7.2-1.fc20.x86_64 (updates)
              ~libupsclient.so.4()(64bit)



Expected results:
The update succeeds

Additional info:

Comment 1 Szombathelyi György 2014-08-14 13:08:33 UTC
Sorry, in the description: "but the current nut-client package ships libupsclient.so.4"

Comment 2 Michal Hlavinka 2014-08-14 13:12:58 UTC
This should be already fixed. The fix is in updates-testing repository now. Should get to (stable) updates repository soon.

Package collectd-5.4.1-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing collectd-5.4.1-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9273/collectd-5.4.1-3.fc20
then log in and leave karma (feedback).

*** This bug has been marked as a duplicate of bug 1123593 ***


Note You need to log in before you can comment on or make changes to this bug.